#define DEBUG$WHATAWHO   1024
#define DEBUG$SEND       512
#define DEBUG$M_PARSE_IT 128
#define DEBUG$ROUTINE    64
#define DEBUG$USER_IF    32
#define DEBUG$SPECIAL    16
#define DEBUG$EXPAND     4
#define DEBUG$EXECUTE    1

#define NONE     0x0000
#define PUBLIC   0x0001
#define MSGS     0x0002
#define NOTICES  0x0004
#define WALL     0x0008
#define WALLOP   0x0010
#define ACTIONS  0x0020
#define CRAP     0x0040
#define DCC      0x0080
#define NOTE     0x0100
#define OPNOTES  0x0200
#define SNOTES   0x0400
#define USERLOG1 0x0800
#define USERLOG2 0x1000
#define USERLOG3 0x2000
#define USERLOG4 0x4000
#define ALL      0x7fff
#define LASTLOG  0x8000   /* This level should be the highest - not logged */

#define o_action           0
#define o_channel_signoff  1
#define o_connect          2
#define o_ctcp             3
#define o_ctcp_reply       4
#define o_dcc_chat         5  /**/
#define o_dcc_raw          6  /**/
#define o_disconnect       7
#define o_exec             8  /**/
#define o_exec_errors      9  /**/
#define o_exec_exit        10 /**/
#define o_exec_prompt      11 /**/
#define o_flood            12 /**/
#define o_hook             13 /**/
#define o_idle             14 /**/
#define o_input            15 /**/
#define o_invite           16
#define o_join             17
#define o_leave            18
#define o_mode             19
#define o_msg              20
#define o_nickname         21
#define o_note             22 /**/
#define o_notice           23
#define o_notify_signon    24
#define o_notify_signoff   25
#define o_public           26
#define o_public_other     27
#define o_raw_irc          28
#define o_send_action      29
#define o_send_dcc_chat    30 /**/
#define o_send_msg         31
#define o_send_notice      32
#define o_send_public      33
#define o_server_notice    34
#define o_signoff          35
#define o_timer            36 /**/
#define o_topic            37
#define o_wall             38 /**/
#define o_wallop           39 /**/
#define o_who              40
#define o_window           41 /**/
#define o_window_kill      42 /**/
#define o_numeric          43

#define DCC_SEND       1
#define DCC_GET        2
/* Which way is the DCC request going */
#define DCC_WAYMASK  0x3
#define DCC_CONN       4
#define DCC_NOCONN     8
#define DCC_FILE      16
#define DCC_CHAT      32
#define DCC_RAW       64
/* DCC_TYPEMASK represents the bits of which can be considered to be
   identifying mask for the type of DCC connection */
#define DCC_TYPEMASK 0x70
